[pacman-dev] [PATCH] Fix usage of install_package

Eli Schwartz eschwartz at archlinux.org
Sun Jan 14 04:52:38 UTC 2018


In commit ab2be5794de8a57426ec3fc0f631cc766a0b8227 return codes were
implemented, and the output of install_package was improperly assigned
to a variable when the return code was wanted.

All we need to do is restore the previous exit handling, but return $?
instead of hardcoding "0".

Signed-off-by: Eli Schwartz <eschwartz at archlinux.org>
---
 scripts/makepkg.sh.in | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index bbf7fc59..e9e04d99 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1071,8 +1071,8 @@ check_build_status() {
 				 && ! (( FORCE || SOURCEONLY || NOBUILD || NOARCHIVE)); then
 			if (( INSTALL )); then
 				warning "$(gettext "A package has already been built, installing existing package...")"
-				status=$(install_package)
-				exit $status
+				install_package
+				exit $?
 			else
 				error "$(gettext "A package has already been built. (use %s to overwrite)")" "-f"
 				exit $E_ALREADY_BUILT
@@ -1094,8 +1094,8 @@ check_build_status() {
 			if (( allpkgbuilt )); then
 				if (( INSTALL )); then
 					warning "$(gettext "The package group has already been built, installing existing packages...")"
-					status=$(install_package)
-					exit $status
+					install_package
+					exit $?
 				else
 					error "$(gettext "The package group has already been built. (use %s to overwrite)")" "-f"
 					exit $E_ALREADY_BUILT
-- 
2.15.1


More information about the pacman-dev mailing list